Package javax.servlet.http

## Interface HttpSessionAttributeListener

All Superinterfaces:
  `java.util.EventListener`

    public interface HttpSessionAttributeListener
    extends java.util.EventListener

This listener interface can be implemented in order to get notifications of changes to the attribute lists of sessions within this web application.

Since:
  Servlet 2.3

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `attributeAdded​(HttpSessionBindingEvent se)` Notification that an attribute has been added to a session.
`void` `attributeRemoved​(HttpSessionBindingEvent se)` Notification that an attribute has been removed from a session.
`void` `attributeReplaced​(HttpSessionBindingEvent se)` Notification that an attribute has been replaced in a session.

### Method Detail

#### attributeAdded

    void attributeAdded​(HttpSessionBindingEvent se)

Notification that an attribute has been added to a session. Called after the attribute is added.

Parameters:
  `se` - Information about the added attribute

#### attributeRemoved

    void attributeRemoved​(HttpSessionBindingEvent se)

Notification that an attribute has been removed from a session. Called after the attribute is removed.

Parameters:
  `se` - Information about the removed attribute

#### attributeReplaced

    void attributeReplaced​(HttpSessionBindingEvent se)

Notification that an attribute has been replaced in a session. Called after the attribute is replaced.

Parameters:
  `se` - Information about the replaced attribute